Bug 56063 - patch for net/lft
Summary: patch for net/lft
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: freebsd-ports-bugs (Nobody)
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2003-08-28 02:10 UTC by Scott M. Likens
Modified: 2003-09-30 13:27 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Scott M. Likens 2003-08-28 02:10:20 UTC

ports/net/lft has a slight problem on 4.x servers

GCC 2.95 does not support atol on 4.x, where as 5.x has atol, to
solve this slight problem we must use either a version check, or
use depreciated atoll

Fix: ### begin patch ###



submit patch, test, enjoy.  Slight annoyances... but a real problem.--IBlMHc6mrELhLuK6adovvWIAovAWDBwqw1YLndvf5O0RDQcj
Content-Type: text/plain; name="file.diff"
Content-Transfer-Encoding: 7bit
Content-Disposition: attachment; filename="file.diff"

--- lft-2.2/lft.c       Wed May  7 15:43:30 2003
+++ lft/lft.c   Wed Aug 27 17:50:18 2003
@@ -24,7 +24,7 @@
 
 #include "acconfig.h"
 #include <assert.h>
-
+#define INT_MAX ((int))~0U>>1))
 #ifdef __CYGWIN__
 #define __USE_W32_SOCKETS
 #include "windows.h"
@@ -1131,7 +1131,7 @@
       dport = atoi (optarg);
       break;
     case 'q':
-      seq_start = atol (optarg);
+      seq_start = atoll (optarg);
       break;
     case 'w':
       win_len = atoi(optarg);
### end patch ###
Comment 1 Edwin Groothuis freebsd_committer 2003-09-28 02:35:21 UTC
State Changed
From-To: feedback->closed

If this is still a problem with the latest (3.23.58) one, please 
resubmit the problem. Most likely it was caused by the not running 
of ldconfig by the port. If it still occures, please add the output 
of "ldconfig -r" to the PR.
Comment 2 Edwin Groothuis freebsd_committer 2003-09-28 02:35:21 UTC
State Changed
From-To: open->open

euhmm.. I'll redit this PR.
Comment 3 Edwin Groothuis freebsd_committer 2003-09-28 02:35:21 UTC
State Changed
From-To: open->open
Comment 4 Edwin Groothuis freebsd_committer 2003-09-28 02:35:21 UTC
State Changed
From-To: open->open
Comment 5 Edwin Groothuis freebsd_committer 2003-09-28 02:35:21 UTC
State Changed
From-To: open->open

Fix synopses.
Comment 6 Edwin Groothuis freebsd_committer 2003-09-28 02:35:21 UTC
State Changed
From-To: open->open

Fix synopses
Comment 7 Edwin Groothuis freebsd_committer 2003-09-28 02:35:21 UTC
State Changed
From-To: open->open

Fix synopses
Comment 8 Edwin Groothuis freebsd_committer 2003-09-28 02:35:21 UTC
State Changed
From-To: open->open

Fix synopses
Comment 9 Edwin Groothuis freebsd_committer 2003-09-28 02:35:21 UTC
State Changed
From-To: open->open

Fix synopses
Comment 10 Edwin Groothuis freebsd_committer 2003-09-28 02:35:21 UTC
State Changed
From-To: open->open

Fix synopses
Comment 11 Edwin Groothuis freebsd_committer 2003-09-28 02:35:21 UTC
State Changed
From-To: open->open

Fix synopses
Comment 12 Edwin Groothuis freebsd_committer 2003-09-28 02:35:21 UTC
State Changed
From-To: open->open

Fix synopses
Comment 13 Edwin Groothuis freebsd_committer 2003-09-28 02:35:21 UTC
State Changed
From-To: open->open

Fix category
Comment 14 Edwin Groothuis freebsd_committer 2003-09-28 02:35:21 UTC
State Changed
From-To: open->open

Fix synopsesFix synopsesFix synopses
Comment 15 Edwin Groothuis freebsd_committer 2003-09-28 02:35:21 UTC
State Changed
From-To: open->open

Fix synopses
Comment 16 Edwin Groothuis freebsd_committer 2003-09-28 02:35:21 UTC
State Changed
From-To: open->open

Fix synopses
Comment 17 Edwin Groothuis freebsd_committer 2003-09-28 02:35:21 UTC
State Changed
From-To: open->open

Fix synopses
Comment 18 Edwin Groothuis freebsd_committer 2003-09-28 02:35:21 UTC
State Changed
From-To: open->open

Fix synopses
Comment 19 Edwin Groothuis freebsd_committer 2003-09-28 02:35:21 UTC
State Changed
From-To: analyzed->analyzed

Fix synopses
Comment 20 Edwin Groothuis freebsd_committer 2003-09-28 02:35:21 UTC
State Changed
From-To: open->open

Fix synopses
Comment 21 Edwin Groothuis freebsd_committer 2003-09-28 02:35:21 UTC
State Changed
From-To: open->open

Fix synopses
Comment 22 Edwin Groothuis freebsd_committer 2003-09-28 02:35:21 UTC
State Changed
From-To: open->open

Fix synopses
Comment 23 Edwin Groothuis freebsd_committer 2003-09-28 02:35:21 UTC
State Changed
From-To: open->open

FIx category
Comment 24 Edwin Groothuis freebsd_committer 2003-09-28 02:35:21 UTC
State Changed
From-To: open->open

Fix synopses
Comment 25 Edwin Groothuis freebsd_committer 2003-09-28 02:35:21 UTC
State Changed
From-To: open->open

Fix synopses
Comment 26 Edwin Groothuis freebsd_committer 2003-09-28 02:35:21 UTC
State Changed
From-To: open->open

Fix synopses
Comment 27 Edwin Groothuis freebsd_committer 2003-09-28 02:35:21 UTC
State Changed
From-To: open->open

Fix synopses
Comment 28 Edwin Groothuis freebsd_committer 2003-09-28 02:35:21 UTC
State Changed
From-To: open->open

Fix synopses
Comment 29 Edwin Groothuis freebsd_committer 2003-09-28 02:35:21 UTC
State Changed
From-To: open->open

Fix synopses
Comment 30 Edwin Groothuis freebsd_committer 2003-09-28 02:35:21 UTC
State Changed
From-To: open->open

Fix synopses
Comment 31 Edwin Groothuis freebsd_committer 2003-09-28 02:35:21 UTC
State Changed
From-To: open->open

Fix category
Comment 32 Edwin Groothuis freebsd_committer 2003-09-28 02:35:21 UTC
State Changed
From-To: feedback->feedback

Fix synopses
Comment 33 Edwin Groothuis freebsd_committer 2003-09-28 02:35:21 UTC
State Changed
From-To: open->open

Fix synopses
Comment 34 Edwin Groothuis freebsd_committer 2003-09-30 13:27:47 UTC
State Changed
From-To: open->closed

Commited, thanks!